%global momorel 1
%global qtver 4.5.2
%global kdever 4.3.2
%global kdelibsrel 1m
%global kdegraphicssrel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: CHM viewer with KDE support
Name: kchmviewer
Version: 4.2
Release: %{momorel}m%{?dist}
License: GPLv3
URL: http://www.kchmviewer.net/
Group: Applications/Publishing
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-4.1-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: kdegraphics-libs >= %{kdever}-%{kdegraphicssrel}
Requires: chmlib
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: chmlib-devel
BuildPreReq: cmake
BuildPreReq: desktop-file-utils
BuildPreReq: gettext
BuildPreReq: libxml2

%description
KchmViewer is a chm (MS HTML help file format) viewer, written in C++. 
Unlike most existing CHM viewers for Unix, it uses Trolltech Qt widget 
library. It is compiled with full KDE support, including KDE widgets 
and KIO/KHTML.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/crystalsvg/48x48/apps/kchmviewer.png %{buildroot}%{_datadir}/pixmaps/kchmviewer.png

# conflicts with kdegraphics-4.3.2
rm -f %{buildroot}%{_kde4_libdir}/kde4/kio_msits.so
rm -f %{buildroot}%{_kde4_datadir}/kde4/services/msits.protocol

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog FAQ README
%{_kde4_bindir}/kchmviewer
## conflicts with kdegraphics-4.3.2
# %%{_kde4_libdir}/kde4/kio_msits.so
%{_kde4_datadir}/applications/kde4/kchmviewer.desktop
## conflicts with kdegraphics-4.3.2
# %%{_kde4_datadir}/kde4/services/msits.protocol
%{_kde4_iconsdir}/*/*/*/kchmviewer.png
%{_datadir}/locale/*/LC_MESSAGES/kchmviewer.mo
%{_datadir}/pixmaps/kchmviewer.png

%changelog
* Sun Oct 25 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2-1m)
- version 4.2
- change License from GPLv2 to GPLv3

* Wed Aug  5 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.1-1m)
- version 4.1
- update desktop.patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0-3m)
- rebuild against rpm-4.6

* Fri Dec  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0-2m)
- remove kio_msits.so to avoid conflicting with kdegraphics-libs-4.1.81
- License: GPLv2

* Tue Dec  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0-1m)
- update to 4.0 official release

* Sat Jun 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0-0.3.2m)
- remove msits.protocol to avoid conflicting with kdegraphics-4.0.80

* Wed Jun 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0-0.3.1m)
- update to 4.0beta3
- change source URI, sourceforge file release system is broken...

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0-0.2.3m)
- rebuild against qt-4.4.0-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0-0.2.2m)
- rebuild against gcc43

* Tue Feb 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0-0.2.1m)
- update to 4.0 beta2

* Sun Jun 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0-0.1.1m)
- update to version 4.0 beta1 for KDE4

* Sun Jun 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1-1m)
- version 3.1

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0-1m)
- initial package for Momonga Linux
